import type { JsonFile, TextFile } from '@stacksjs/types';
/**
 * Reads a JSON file and returns the parsed data.
 */
export declare function readJsonFile(name: string, cwd: string): Promise<JsonFile>;
/**
 * Writes the given data to the specified JSON file.
 */
export declare function writeJsonFile(file: JsonFile): Promise<void>;
/**
 * Reads a text file and returns its contents.
 */
export declare function readTextFile(name: string, cwd?: string): Promise<TextFile>;
/**
 * Writes the given text to the specified file.
 */
export declare function writeTextFile(file: TextFile): Promise<void>;
/**
 * Determine whether a path is a folder.
 */
export declare function isFolder(path: string): boolean;
/**
 * Determine whether a path is a file.
 */
export declare function isFile(path: string): boolean;
/**
 * Determine whether a folder has any files in it.
 */
export declare function hasFiles(folder: string): boolean;
export declare function hasComponents(): boolean;
export declare function hasFunctions(): boolean;
export declare function copyFolder(src: string, dest: string, exclude?: string[]): void;
export declare function deleteFolder(path: string): Promise<void>;
export declare function deleteFiles(dir: string, exclude?: string[]): void;
export declare function deleteEmptyFolders(dir: string): void;
export declare function doesFolderExist(path: string): boolean;
export declare const _dirname: any;
